Loading...
Searching...
No Matches
fitness::Fitness::DataEntry Struct Reference

An entry in the reliability database. More...

## Public Attributes

string | id
| unique id of the entry
int | value
| normalized value
int | maxValue
| maximum possible normalized value
int | worstValue
| worst normalized value seen yet
int | thresholdValue
| normalized threshold value
long | rawValue
| raw value
int | flags
| flags (see above)

## Detailed Description

An entry in the reliability database.

Definition at line 22 of file Fitness.idl.

## Member Data Documentation

## flags

int fitness::Fitness::DataEntry::flags

flags (see above)

Definition at line 29 of file Fitness.idl.

## id

string fitness::Fitness::DataEntry::id

unique id of the entry

Definition at line 23 of file Fitness.idl.

## maxValue

int fitness::Fitness::DataEntry::maxValue

maximum possible normalized value

Definition at line 25 of file Fitness.idl.

## rawValue

long fitness::Fitness::DataEntry::rawValue

raw value

Definition at line 28 of file Fitness.idl.

## thresholdValue

int fitness::Fitness::DataEntry::thresholdValue

normalized threshold value

Definition at line 27 of file Fitness.idl.

## value

int fitness::Fitness::DataEntry::value

normalized value

Definition at line 24 of file Fitness.idl.

## worstValue

int fitness::Fitness::DataEntry::worstValue

worst normalized value seen yet

Definition at line 26 of file Fitness.idl.

The documentation for this struct was generated from the following file:

- Fitness.idl